<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */

# Updates files with progress with input from user
# @author Igor Támara ikks@users.sourceforge.net
# Public domain. 2003. No warranties. http://structio.sourceforge.net/sigue

session_start();
if (!isset($_SESSION["autenticado"])||$_SESSION["autenticado"]==false) {
  require "header.php";
  require "footer.php";
  exit;
}
require "confsigue.php";
require "auth/confcol.php";
require "filter.php";
$mine=explode(":", $_SESSION['curso']);
$title="Registro de ".$mine[6]." en ".$mine[2]." por ".$_SESSION["teacher"];

error_log("sigue: ".date()." Antes de enviar camval, ".$mine[1].", ".
	$_SESSION['periodo'].", ".
	$mine[4].", ".$mine[5]);
$cantidad=ds("$INSBIN/camval","$INSBIN/camanota",$mine[1],
	$_SESSION['pastval'],$_POST['question'],$_SESSION['periodo'],
	$mine[4],$mine[5],$GLOBALS["DIRCOL"]);
error_log("sigue: ".date()." Después de enviar camval");

require "header.php";
if ($cantidad>0) {
  print"<p>Se ha";
  if ($cantidad==1) {
    print " aplicado un cambio";
  }
  else {
    print "n aplicado ".$cantidad." cambios";
  }
}
else {
    print "No se aplicaron cambios";
}

unset($_SESSION['pastval']);
session_unregister("pastval");
unset($_SESSION['curso']);
session_unregister("curso");

require "footer.php";
?>
